(function() {

	function frameHeight() {
		var sideTop = jQuery('.side-top-area').height();
		var copyrightInfo = jQuery('.copyright-info').height();
		var pageHeight = jQuery(document.body).height()-jQuery('#top').height();
		var sideNav = pageHeight-(sideTop+copyrightInfo);

		jQuery('#wrapper').height(pageHeight);
		jQuery('#side').height(pageHeight);
		jQuery('#main').height(pageHeight);
		jQuery('#frame-switcher').height(pageHeight);
		jQuery('.side-nav-area').height(sideNav);
	}

	function initSkin() {
		jQuery('.side-nav .side-nav-title').each(function() {
			jQuery(this).click(function() {
				jQuery(this).parents('.side-nav:first').toggleClass('side-nav-collapsed');
			});
		});

		jQuery('#frame-switcher .frame-switcher-action').each(function() {
			jQuery(this).click(function() {
				jQuery(this).parents('#page').toggleClass('side-collapsed');
			});
		});

		jQuery('.side-nav-item a').each(function() {
			jQuery(this).click(function() {
				jQuery('.side-nav-item a').each(function () {
					jQuery(this).parents('.side-nav-item').removeClass('side-nav-item-active');
				});
				jQuery(this).parents('.side-nav-item').addClass('side-nav-item-active');
			});
		});

		jQuery('.dropdown-box').each(function() {
			jQuery(this).mouseover(function() {
				jQuery(this).addClass('dropdown-box-active');
			});
			jQuery(this).mouseleave(function() {
				jQuery(this).removeClass('dropdown-box-active');
			});
		});

		jQuery('.dropdown-item a').each(function() {
			jQuery(this).click(function() {
				jQuery('#gotoPanelUrl').val(jQuery(this).find(':input').val());
				jQuery(this).parents('.dropdown-box').find('.dropdown-heading-area-label').html(jQuery(this).html());
				jQuery(this).parents('.dropdown-box').removeClass('dropdown-box-active');
			});
		});

		jQuery(window).resize(function () {
			frameHeight();
		}).resize();
	}

	jQuery(document).ready(function () {initSkin();});

})();

function OpenHelpWindow(url)
{
    try {
        var w = window.open(url, 'help', 'toolbar=no,scrollbars=yes,resizable=yes');
        w.focus();
        return true;
    } catch (e) {
        return false;
    }
}

function gotoPanel()
{
	document.location = jQuery('#gotoPanelUrl').val();
}

function cbx_register_click(ctype,clientID) {
	setTimeout('cbx_process_event("'+ctype+'","'+clientID+'");',100);
}

function cbx_process_event(ctype,clientID) {
	if (document.getElementById('cbx_'+ctype+'_'+clientID).checked) {
		if (ctype!='activate') cbx_select('cbx_activate_'+clientID);
		if (ctype!='cancel') cbx_select('cbx_cancel_'+clientID);
		if (ctype!='fraud') cbx_select('cbx_fraud_'+clientID);
	} else {
		if (ctype!='activate') cbx_deselect('cbx_activate_'+clientID);
		if (ctype!='cancel') cbx_deselect('cbx_cancel_'+clientID);
		if (ctype!='fraud') cbx_deselect('cbx_fraud_'+clientID);
	}
}

function cbx_select(targetID) {
	document.getElementById(targetID).disabled = true;
	document.getElementById(targetID).checked = false;
}

function cbx_deselect(targetID) {
	document.getElementById(targetID).disabled = false;
}
