<?php

require_once("lib-action/action.php");

use Billing\Manager\CustomerManager;

class EditClientArchiveStateResponse extends MB_Action
{
	public function execute()
	{
		parent::execute();

		try {
			$customer = Factory()->Customer(bgpc("clientID"));
			if(1 == bgpc("clientActive")) {
				CustomerManager::reinstate($customer);
			} else {
				CustomerManager::archive($customer);
			}
		} catch (ProductException $ex) {
			billing_put_error($ex->getMessage());
			redirect("clients.php", getActionID("EditClientArchiveState"), array("clientID" => $customer->id));
		}

		redirect("clients.php", getActionID("ShowClientDetails"), array("clientID" => $customer->id));
	}
}