<?php
require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";

use Billing\Manager\BillingAccountManager;

class RemoveBillingAccountResponse extends RemoveResponseAction
{
	function RemoveBillingAccountResponse()
	{
		parent::RemoveResponseAction();
		$this->stringRep = "RemoveBillingAccountResponse";
		$this->d = new DataSource("billingAccounts");
	}
	
	function setReferral()
	{
		$this->setReferralActionID(getActionID("RemoveBillingAccount"));
		$this->setReferralActionFile($this->d->getEntry("names", "file") . ".php");
	}

	function removeResponseParamHandler()
	{
		$billingAccountID = (int)$_REQUEST["billingAccountID"];
		if ($billingAccountID){
			BillingAccountManager::disable(Factory()->ClientBillingAccount($billingAccountID));
		}
		return true;
	}
}
?>
