<?php
require_once("lib-action/action.php");

use Billing\Manager\AffiliateProgramManager;

class ShowAffiliateProgramsPartners extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$payout = bgpc("payout", 0);
		$page  = UIFactory()->Page();
		if (1 == $payout) {
			$page->title = blmsg("TRANS_AFFILIATE_PROGRAM_PAYOUT");
			$page->parent_title = blmsg("TRANS_AFFILIATE_PROGRAM_PARTNERS_TITLE");
			$page->description = blmsg("TRANS_AFFILIATE_PROGRAM_PAYOUT_PAGE_DESC");
		} else {
			$page->title = blmsg("TRANS_AFFILIATE_PROGRAM_PARTNERS_TITLE");
            $payoutData = AffiliateProgramManager::getPayoutsData(getCurrentSession()->getVendorId());
			if (0 < AffiliateProgramManager::getAffiliateProgramsCount(getCurrentSession()->getVendorId()) || !empty($payoutData)) {
				require_once("UI/Tabs/UICustomersScreenTabs.php");
				$tabs = new UICustomersScreenTabs();
				$tabs->setCurrent("affiliates");
				$page->setScreenTabs($tabs);
			}
		}
		require_once("UI/List/UIAffiliateProgramPartnerList.php");
		$page->addListPanel(new UIAffiliateProgramPartnerList($payout));
		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}