<?php
require_once("lib-action/action.php");

class RemoveCrashReports extends MB_Action
{
	public function execute()
	{
		parent::execute();

		if (!getCurrentSession()->isValidToken()) {
			billing_put_error(blmsg("TRANS_ERROR_TOKEN"));
			redirect(action_url("crashes", "ShowCrashReports"));
		}

		$report_ids = bgpc("id");

		require_once("object_managers/CrashReportManager.php");
		CrashReportManager::deleteBy($report_ids);

		redirect(action_url("crashes", "ShowCrashReports"));
	}
}
