<?php

class Invoices_TransactionController extends Billing_Zend_Controller_Action_AdminController
{
	public function captureAction()
	{
		$invoiceId = $this->getRequest()->getParam('invoiceID');
		$transactionId = $this->getRequest()->getParam('transactionID');
		$this->view->placeholder('pageTitle')->set($this->_translator->translate('TRANS_CAPTURE_TRANSACTION_FUNDS', array('ID' => $transactionId)));
		$this->view->form = new Billing_Zend_Form_Final_EncryptionSecretKeyForm(array(
			'cancelUrl' => $this->view->ActionUrl('invoices', 'ShowInvoiceDetails', array('invoiceID' => $invoiceId)),
			'submitUrl' => $this->view->ActionUrl('paymentqueue', 'CaptureFunds', array("captureIDs[{$transactionId}]" => 'y', 'invoiceID' => $invoiceId)),
		));
	}
}