<?php

require_once("lib-action/action.php");

class DisableSSLPlugins extends MB_Action
{
	public function execute()
	{
		parent::execute();

		if (!getCurrentSession()->isValidToken()) {
			billing_put_error(blmsg("TRANS_ERROR_TOKEN"));
			$this->_completeAction();
		}

		$plugin_ids = bgpc("id");
		require_once("object_managers/SSLPluginManager.php");
		SSLPluginManager::updateBy($plugin_ids, array(
			"ssl_plugin_enabled" => 0,
		));
		$this->_completeAction();
	}

	private function _completeAction()
	{
		redirect(action_url("modules", "ShowSSLPlugins"));
	}
}
