<?php

require_once("lib-action/action.php");

class EditSSLFactoryConfigResponse extends MB_Action
{
	public function execute()
	{
		parent::execute();

		if (!getCurrentSession()->isValidToken()) {
			billing_put_error(blmsg("TRANS_ERROR_TOKEN"));
			redirect("modules.php", getActionID("EditSSLFactoryConfig"));
		}

		$configParams = Factory()->ConfigGroup(0)->getChild("ssl")->getChild("sslfactory")->ConfigParams;
		foreach (array("enableSSLFactory", "usernameSSLFactory", "accessCodeSSLFactory") as $name) {
			$configParams[$name]->value = bgpc($name);
		}
		$configParams->update();

		require_once("lib-action/include/url/url.php");
		if ($_REQUEST["redirectURL"]!="" && $_REQUEST["redirectAction"]!="") {
			redirect($_REQUEST["redirectURL"]."?action=".getActionID($_REQUEST["redirectAction"])."&".$_REQUEST["redirectArgs"]);
		} else {
			redirect("modules.php", getActionID("EditSSLFactoryConfig"), array("saved" => 1));
		}
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}