<?php

require_once("lib-action/action.php");
require_once("lib-mbapi/mbapi.php");
require_once("lib-tk/include/xml/xml.php");

class RemoveOrderForm extends MB_Action
{
	public $params = array("orderFormID");

	public function execute()
	{
		parent::execute();

		$orderFormID = ((int) $_REQUEST["orderFormID"]);
		if(!$orderFormID) {
			$this->addError(TRANS_ACTIONERROR, "No OrderForm ID given.");
		} else {
			$query = $this->getMBAPIQuery("GetOrderForms");
			$data = dispatchMBAPI($query, 1);

			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				if(((int) $data["mbapi"][0]["header"][0]["numResults"][0]) > 0) {
					$s = array();
					$s["orderform"] =
						collapseArrayElements($data["mbapi"][0]["results"][0]["orderForms"][0]["orderForm"][0]);
					$this->addTemplate("orderforms/RemoveOrderForm", $s, 1);

				} else {
					$this->addError(TRANS_ACTIONERROR, "OrderForm not found.");
				}
			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}