<?php

require_once("lib-action/genericactions.php");

class RemoveCycleResponse extends RemoveResponseAction
{
	public function __construct()
	{
		parent::RemoveResponseAction();
		$this->setDataSource(new DataSource("cycles"));
        $cycleID = bgpc("cycleID");
        require_once('object_managers/CycleManager.php');
        if (!CycleManager::canRemove($cycleID)) {
            throw new ForbiddenOperationException("Removal of current billing cycle is restricted because it used in related objects");
        }
	}


}