<?php

$CONF["reportData"]["Packages.MostPopularPackages"] = array(
	"version" => "1.0",
	"template" => dirname(__FILE__)."/Packages.MostPopularPackages.tpl",
	"name" => "TRANS_REPORTS_MOST_POPULAR_PLANS",
	"description" => "This report lists the number of packages per product sorted by the product with the most currently active packages.",
);


class MB_Report_MostPopularPackages
{
    public function getData($params)
    {
		global $CONF;
		$ret = $this->getParamData($params);

		require_once ("action-api/include/lib-action/api/GetReportMostPopularPackages.php");

		$r = new GetReportMostPopularPackages();
		$ret = $ret + (array)$r->getReportData();

		$ret["statusNames"] = $CONF["statuses"]["package"];

		return $ret;
	}

	public function getParamData($params=array())
    {
		$ret = array(
			"noParams" => 1,
		);
		return $ret;
	}
}