{assign var="filterArgs" value="clientActive=$clientActive&clientStatus=$clientStatus"}

<form method="post" action="{getFormAction controller="clients"}">
<input type="hidden" name="act" value="{getActionID action="EditNewOrdersResponse"}" />
<input type="hidden" name="referralActionID" value="{getActionID action="ShowDashboardNewOrders"}" />
<input type="hidden" name="token" value="{$token}" />

<style>
{literal}
	table.customers {
		margin-top: 2px;
	}
	table.customers td {
		padding-left: 0px!important;
		padding-right: 5px!important;
		padding-bottom: 5px!important;
	}
{/literal}
</style>

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="customers">
{section name=i loop="$clients"}
{assign var="clientID" value=$clients[i].clientID}
{assign var="trans_countriesISO2" value="TRANS_ISO_3166_`$clients[i].countriesISO2`"}
	<tr>
		<td width="16" align="left"><img src="{$imageDirectory}/flags/flag-{$clients[i].countriesISO2|safetyhtml}.gif" style="vertical-align:top; text-align: left; border-style:none;" width="16" height="11"/></td>
		<td style="font-size: 9px;" width="30%" nowrap="nowrap">
			{$smarty.const.$trans_countriesISO2|mb_truncate:15}
			<br />
			{$clients[i].clientDateCreated|getDateTime}
			<br />
			{if $clients[i].invoices[0]}
				{"TRANS_INVOICE"|lmsg} {$clients[i].invoices[0].invoiceAmount|getAmount:$clients[i].invoices[0].currencyID}
				{if $clients[i].invoices[0].invoiceStatus|getAPIStatusName:"invoice" == "closed"}
					{assign var="color" value="green"}
				{else}
					{assign var="color" value="red"}
				{/if}
				<font color="{$color}">
					{$clients[i].invoices[0].invoiceStatus|getStatusName:"invoice"}
				</font>
			{else}
				{"TRANS_INVOICE"|lmsg} <font color="red"><i>{"TRANS_UNKNOWN"|lmsg}</i></font>
			{/if}
		</td>
		<td width="16">
			{if $clients[i].isReseller}
				<img src="{$skinDirectory}/images/layout/icons/small/nav_resellers.png" width="16" height="16" style="vertical-align:middle;border-style:none;" />
			{else}
                <img src="{$skinDirectory}/images/layout/icons/small/nav_clients.png" width="16" height="16" style="vertical-align:middle;border-style:none;" />
            {/if}
		</td>
		<td style="font-size: 9px;">
			{if $clients[i].clientCompany}
				{$clients[i].clientCompany|safetyhtml|mb_truncate:22}
				<br />
			{/if}
			{$clients[i].contactLastName|safetyhtml|mb_truncate:12}, {$clients[i].contactFirstName|safetyhtml|mb_truncate:12}
			<br />
			{$clients[i].contactEmail|safetyhtml|mb_truncate:25}
		</td>
		<td style="font-size: 9px;">
			<a href="{getHREF page="clients.php" actionName="ShowClientDetails" args="clientID=$clientID&__print=1"}" target="_blank">{"TRANS_REVIEW"|lmsg}</a>
		</td>
		<td style="font-size: 9px;" nowrap="nowrap">
			<input type="checkbox" name="activate[]" id="cbx_activate_{$clientID}" value="{$clientID}"
				onmouseup="cbx_register_click('activate', '{$clientID}');"
				onkeyup="cbx_register_click('activate', '{$clientID}');" />&nbsp;{"TRANS_ACTIVATE"|lmsg}
			<br />
			<input type="checkbox" name="cancel[]" id="cbx_cancel_{$clientID}" value="{$clientID}"
				onmouseup="cbx_register_click('cancel', '{$clientID}');"
				onkeyup="cbx_register_click('cancel', '{$clientID}');" />&nbsp;{"TRANS_CANCEL"|lmsg}
			<br />
			<input type="checkbox" name="fraud[]" id="cbx_fraud_{$clientID}" value="{$clientID}"
				onmouseup="cbx_register_click('fraud', '{$clientID}');"
				onkeyup="cbx_register_click('fraud', '{$clientID}');" />&nbsp;{"TRANS_FRAUD"|lmsg}
		</td>
	</tr>
{sectionelse}
	<tr>
		<td colspan="6" style="text-align:center;"><i>{"TRANS_NO_NEW_ORDERS"|lmsg}</i></td>
	</tr>
{/section}
{if count($clients)>0}
	<tr>
		<td colspan="5" style="text-align:right;">
			<strong>{"TRANS_SET_CANCEL_ACTION"|lmsg}</strong>
			&nbsp;
			<select name="cancelAction" style="width:150px;">
				<option value="suspend">{"TRANS_SUSPEND_PACKAGE_IF_PROVISIONED"|lmsg}</option>
				<option value="delete">{"TRANS_DELETE_PACKAGE_IF_PROVISIONED"|lmsg}</option>
			</select>
		</td>
		<td>
			<input type="submit" name="submitActivateClients" value="{"TRANS_SUBMIT"|lmsg}">
		</td>
	</tr>
	<tr>
		<td colspan="6" style="text-align:right;">
			<p>{"TRANS_SET_CANCEL_ACTION_DESC"|lmsg}</p>
		</td>
		<td>
			&nbsp;
		</td>
	</tr>
{/if}
</table>

</form>
