{* $Id: cycle.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This widget template is used to display the cycle context bar.
 *
 * Smarty Variables:
 *	$cycle		array of cycle information
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/context/cycle.tpl" cycle=$cycle}
 *}


<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="headerRow">
	<td>{"TRANS_CYCLE_ID"|lmsg}</td>
	<td>{"TRANS_CYCLE_NAME"|lmsg}</td>
	<td>{"TRANS_SECONDS"|lmsg}</td>
	<td>{"TRANS_MINUTES"|lmsg}</td>
	<td>{"TRANS_HOURS"|lmsg}</td>
	<td>{"TRANS_DAYS"|lmsg}</td>
	<td>{"TRANS_MONTHS"|lmsg}</td>
	<td>{"TRANS_YEARS"|lmsg}</td>
    {if !$isReseller}
        <td>{"TRANS_ACTIONS"|lmsg}</td>
    {/if}
</tr>
</thead>
<tbody>
<tr class="alt1">
	<td>{$cycle.cycleID}</td>
	<td>{$cycle.cycleDisplayName}</td>
	<td>{$cycle.cycleNumSeconds}</td>
	<td>{$cycle.cycleNumMinutes}</td>
	<td>{$cycle.cycleNumHours}</td>
	<td>{$cycle.cycleNumDays}</td>
	<td>{$cycle.cycleNumMonths}</td>
	<td>{$cycle.cycleNumYears}</td>
    {if !$isReseller}
	<td class="nowrap">
		{assign var="tldID" value=$TLD.tldID}
		{strip}
		<a href="{getHREF page="products.php" actionName="EditCycle" args="cycleID=$cycleID"}">
			<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{"TRANS_EDIT"|lmsg}" title="{"TRANS_EDIT"|lmsg}" />
		</a>
		{/strip}
	</td>
    {/if}
</tr>
</tbody>
</table>

<br />
