{************************** TRANS_PRICING_INFORMATION **************************}
<fieldset>
<legend>{"TRANS_PRICING_INFORMATION"|lmsg}</legend>

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<tr>
    <td class="title">{"TRANS_PACKAGE_PRICE_IS_LOCKED"|lmsg}</td>
    <td>{if $packageInfo.packagePriceLock}{"TRANS_YES"|lmsg}{else}{"TRANS_NO"|lmsg}{/if}</td>
</tr>
<tr>
	<td class="title">{"TRANS_PACKAGE_SETUP_PRICE"|lmsg}</td>
	<td>{$packageInfo.packageSetup|getAmount:$packageInfo.currencyID}</td>
</tr>
<tr>
	<td class="title">{"TRANS_PACKAGE_PRORATABLE"|lmsg}</td>
	<td>{$yesNo[$packageInfo.packageProratable]}</td>
</tr>
<tr>
	<td class="title">{"TRANS_TAX_ZONE_GROUP"|lmsg}</td>
	<td>{$taxZoneGroups[$packageInfo.taxZoneGroupID]}</td>
</tr>
<tr>
	<td class="title">{"TRANS_CYCLE_DISCOUNT_GROUP"|lmsg}</td>
	<td>{$cycleDiscountGroups[$packageInfo.cycleDiscountGroupID]}</td>
</tr>
</table>

{literal}
<style>
	#prices { margin-top: 10px; }
	#prices td { border-right: 1px solid #D0D0D0; }
	#prices td.last { border-right: 0px; }
	#prices tr.pricesHeader td { border-bottom: 1px solid #D0D0D0; }
	#prices tr.pricesFooter td { border-top: 1px solid #D0D0D0; }
</style>
{/literal}

<table id="prices" width="100%">
	<tr class="pricesHeader">
		<td>&nbsp;</td>
		<td>{"TRANS_SUBSCRIPTION_PRICE_CYCLE"|lmsg}</td>
		<td>{"TRANS_SUBSCRIPTION_PRICE_DISCOUNT"|lmsg}</td>
		<td>{"TRANS_SUBSCRIPTION_PRICE_TAX"|lmsg}</td>
		<td class="last">{"TRANS_SUBSCRIPTION_PRICE"|lmsg}</td>
	</tr>
	<tr>
		<td>{$planName}</td>
		<td>{$planPrice.original|getAmount:$packageInfo.currencyID}</td>
		<td>{$planPrice.discount|getAmount:$packageInfo.currencyID}</td>
		<td>{$planPrice.tax|getAmount:$packageInfo.currencyID}</td>
		<td class="last">{$planPrice.total|getAmount:$packageInfo.currencyID}</td>
	</tr>
	{foreach from=$addonPrices item=addon key=addonName}
	<tr>
		<td>{$addonName}</td>
		<td>{$addon.original|getAmount:$packageInfo.currencyID}</td>
		<td>{$addon.discount|getAmount:$packageInfo.currencyID}</td>
		<td>{$addon.tax|getAmount:$packageInfo.currencyID}</td>
		<td class="last">{$addon.total|getAmount:$packageInfo.currencyID}</td>
	</tr>
	{/foreach}
	<tr class="pricesFooter">
		<td class="last">{"TRANS_SUBSCRIPTION_PRICE_TOTAL"|lmsg}</td>
		<td class="last">&nbsp;</td>
		<td class="last">&nbsp;</td>
		<td>&nbsp;</td>
		<td class="last">{$totalPrice|getAmount:$packageInfo.currencyID}</td>
	</tr>
</table>

</fieldset>