{php}$GLOBALS['__pagePath'] = array('TRANS_MENU_CLIENT_SUBSCRIPTIONS_SUBSCRIPTIONS', 'TRANS_SHOW_PACKAGE_DETAILS', '');{/php}
{include file="$tplDirectory/header.tpl" tabMajor="packages" tabMinor="packages"}

{if $numPackages==0}
	<strong>{"TRANS_NO_PACKAGES_FOUND"|lmsg}</strong>
{else}
	{foreach key="statusID" item="packageGroup" from=$statusPackages}
		{assign var="packages" value=$packageGroup.packages}

		<fieldset>
			<legend><img src="{$imageDirectory}/ico/package-icon.gif" width="30" height="30" border="0" alt="" align="absmiddle" />{$packageStatuses.$statusID}</legend>
			<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
				<tr class="headerRow">
					<td>
						{"TRANS_PACKAGE"|lmsg}
					</td>
					<td>
						{"TRANS_ACTIONS"|lmsg}
					</td>
				</tr>

				{section name="i" loop=$packages}
				<tr>
					<td colspan="2" class="headerRow">
						{$packages[i].packageName}
						{if $packages[i].packagePendingCancellation>0 && $packages[i].packageStatus != $cancelledStatusID}
							<br /><strong>{"TRANS_PACKAGE_PENDING_CANCELLATION"|lmsg}</strong>
						{/if}
					</td>
				</tr>
				<tr class="{cycle values="alt1,alt2"}">
				    <td align="left" style="vertical-align: top;">
						<table border="0">
							<tr>
								<td class="title">{"TRANS_ID"|lmsg}</td>
								<td>{$packages[i].packageID}</td>
							</tr>
							{if $packages[i].domains}
							<tr>
								<td class="title">{"TRANS_DOMAINS"|lmsg}</td>
								<td valign="top">
									{section name="x" loop=$packages[i].domains}
										<strong>{$packages[i].domains[x].domainSLD}.{$packages[i].domains[x].domainTLD}</strong><br />
									{/section}
								</td>
							</tr>
							{/if}
							{if $isPrimary}
								{foreach key="serverGroupID" item="attrs" from=$packages[i].keyedAttributes}
									{if $serverGroupID>0}
										{if $attrs.packageUserName.packageAttributeValue || $attrs.domainUserName.packageAttributeValue || $attrs.clientLogin.packageAttributeValue || $attrs.ftpUsername.packageAttributeValue}
											<tr>
												<td class="title">{if $serverGroupID==0}{"TRANS_GENERAL_CREDENTIALS"|lmsg}{else}{$keyedServerGroups.$serverGroupID}{/if}</td>
												<td valign="top">
													{if $attrs.domainUserName.packageAttributeValue}
														<strong>{"TRANS_USERNAME"|lmsg}</strong> {$attrs.domainUserName.packageAttributeValue}<br />
													{elseif $attrs.clientLogin.packageAttributeValue}
														<strong>{"TRANS_USERNAME"|lmsg}</strong> {$attrs.clientLogin.packageAttributeValue}<br />
													{elseif $attrs.packageUserName.packageAttributeValue}
														<strong>{"TRANS_USERNAME"|lmsg}</strong> {$attrs.packageUserName.packageAttributeValue}<br />
													{/if}
													{if $attrs.ftpUsername.packageAttributeValue}
														<br/><strong>{"TRANS_PACKAGE_ATTRIBUTES__FTPUSERNAME"|lmsg}</strong> {$attrs.ftpUsername.packageAttributeValue}<br/>
													{/if}
												</td>
											</tr>
										{/if}
									{/if}
								{/foreach}
							{/if}
							<tr>
								<td class="title">{"TRANS_BILLING_CYCLE"|lmsg}</td>
								<td valign="top">{$packages[i].cycleID|getArrayValueByID:$cycles}</td>
							</tr>
							<tr>
								<td class="title">{"TRANS_NEXT_BILL_DATE"|lmsg}</td>
								<td valign="top">{$packages[i].packageDateNextRenewal|getDate:short}</td>
							</tr>
							{if $packages[i].stopDate>10}
							<tr>
								<td class="title">{"TRANS_STOP_DATE"|lmsg}</td>
								<td valign="top">{$packages[i].stopDate|getDate:short}<br />
									<small style="white-space: nowrap;">({$packages[i].moreCycles} {"TRANS_MORE_CYCLES"|lmsg})</small></td>
							</tr>
							{/if}
							{if $packages[i].packageCustomerStatusReason}
								<tr>
									<td class="title">{"TRANS_STATUS_CHANGE_REASON"|lmsg}</td>
									<td valign="top">{$packages[i].packageCustomerStatusReason}</td>
								</tr>
							{/if}
							{if $packages[i].keyedAttributes[0].PVT.packageAttributeValue}
								<tr>
									<td class="title">{"TRANS_PACKAGE_ATTRIBUTES__PVT"|lmsg}</td>
									<td style="max-width: 200px;">{$attrs.PVT.packageAttributeValue}</td>
								</tr>
							{/if}
						</table>

						{literal}
						<style>
							#prices { margin-top: 10px; }
							#prices td { border-right: 1px solid #D0D0D0; padding: 2px 5px; }
							#prices td.last { border-right: 0px; }
							#prices tr.pricesHeader td { border-bottom: 1px solid #D0D0D0; }
							#prices tr.pricesFooter td { border-top: 1px solid #D0D0D0; }
						</style>
						{/literal}

						<table id="prices" width="100%">
							<tr class="pricesHeader">
								<td>&nbsp;</td>
								<td>{"TRANS_SUBSCRIPTION_PRICE_CYCLE"|lmsg}</td>
								<td>{"TRANS_SUBSCRIPTION_PRICE_DISCOUNT"|lmsg}</td>
								<td>{"TRANS_SUBSCRIPTION_PRICE_TAX"|lmsg}</td>
								<td class="last">{"TRANS_SUBSCRIPTION_PRICE"|lmsg}</td>
							</tr>
							<tr>
								<td>{$packages[i].packageName}</td>
								<td>{$packages[i].planPrice.original|getAmount:$packages[i].currencyID}</td>
								<td>{$packages[i].planPrice.discount|getAmount:$packages[i].currencyID}</td>
								<td>{$packages[i].planPrice.tax|getAmount:$packages[i].currencyID}</td>
								<td class="last">{$packages[i].planPrice.total|getAmount:$packages[i].currencyID}</td>
							</tr>
							{foreach from=$packages[i].addonPrices item=addon key=addonName}
							<tr>
								<td>{$addonName}</td>
								<td>{$addon.original|getAmount:$packages[i].currencyID}</td>
								<td>{$addon.discount|getAmount:$packages[i].currencyID}</td>
								<td>{$addon.tax|getAmount:$packages[i].currencyID}</td>
								<td class="last">{$addon.total|getAmount:$packages[i].currencyID}</td>
							</tr>
							{/foreach}
							<tr class="pricesFooter">
								<td class="last">{"TRANS_SUBSCRIPTION_PRICE_TOTAL"|lmsg}</td>
								<td class="last">&nbsp;</td>
								<td class="last">&nbsp;</td>
								<td>&nbsp;</td>
								<td class="last">{$packages[i].totalPrice|getAmount:$packages[i].currencyID}</td>
							</tr>
						</table>

						{assign var="packageID" value=$packages[i].packageID}
						{if (isset($childPackages) &&  $childPackages.$packageID)}
							<br />{"TRANS_OPTIONS"|lmsg}<br />
							<table border="0">
							{foreach key="x" item="package" from=$childPackages.$packageID}
								<tr class="comments altinner">
									<td></td>
									<td style="text-align: center; cursor: pointer;">
										{$package.packageID}
									</td>
									<td style="text-align: left;">
										{$package.packageName}
										{if $package.packagePendingCancellation>0 && $package.packageStatus != $cancelledStatusID}
											<br /><strong>{"TRANS_PACKAGE_PENDING_CANCELLATION"|lmsg}</strong>
										{/if}
									</td>
									<td style="text-align: right;">
										{$package.packagePrice|getAmount:$package.currencyID}
									</td>
									<td style="text-align: center;">
										{$package.cycleID|getArrayValueByID:$cycles}
									</td>
									<td style="text-align: center;">
										{$package.packageDateNextRenewal|getDate:short}
									</td>
									<td style="text-align: center;">
										{if $package.stopDate>10}
											{$package.stopDate|getDate:short}<br />
											<small style="white-space: nowrap;">({$package.moreCycles} {"TRANS_MORE_CYCLES"|lmsg})</small>
										{else}
											--
										{/if}
									</td>

									<td></td>

								</tr>
							{/foreach}
							</table>
						{/if}
					</td>

					<td align="left" style="vertical-align: top;">

						{if $packages[i].clientCancel==1}
							{if $packages[i].packagePendingCancellation==0 && $packages[i].mayCancel==1}
								{include file="$tplDirectory/widgets/actionLink.tpl"
									page="packages.php"
									actionName="CancelPackage"
									args="packageID=`$packages[i].packageID`"
									icoImage="cancel"
									icoWidth=""
									icoHeight=""
									icoStyle=""
									altText="TRANS_CANCEL"
									titleText="TRANS_CANCEL"
									linkText="TRANS_CANCEL"
									noSpace="1"
								}<br />
							{/if}
							{if $packages[i].packagePendingCancellation==1}
								{include file="$tplDirectory/widgets/actionLink.tpl"
									page="packages.php"
									actionName="CancelPackage"
									args="packageID=`$packages[i].packageID`"
									icoImage="uncancel"
									icoWidth=""
									icoHeight=""
									icoStyle=""
									altText="TRANS_WITHDRAW_CANCELLATION"
									titleText="TRANS_WITHDRAW_CANCELLATION"
									linkText="TRANS_WITHDRAW_CANCELLATION"
									noSpace="1"
								}<br />
							{/if}
						{/if}
						{if $statusID == ("none"|get_status_id:"package") AND $packages[i].productType == ("products"|getTypeID:"hosting")}
							{include file="$tplDirectory/widgets/actionLink.tpl"
										page="packages.php"
										actionName="ShowPanelOptions"
										args="packageID=`$packages[i].packageID`"
										icoImage="view"
										icoWidth=""
										icoHeight=""
										icoStyle=""
										altText="TRANS_PANEL_OPTIONS"
										titleText="TRANS_PANEL_OPTIONS"
										linkText="TRANS_PANEL_OPTIONS"
										noSpace="1"
										}<br />
						{/if}
						{if $packages[i].productType == ("products"|getTypeID:"cert")}
							{if  $statusID == ("pending"|get_status_id:"package") && $packages[i].invoicePaid}
								{include file="$tplDirectory/widgets/actionLink.tpl"
										page="certs.php"
										actionName="OrderCertCSRRequest"
										args="packageID=`$packages[i].packageID`"
										icoImage="view"
										icoWidth=""
										icoHeight=""
										icoStyle=""
										altText="TRANS_TODO_BEGIN_CERT_REQUEST"
										titleText="TRANS_TODO_BEGIN_CERT_REQUEST"
										linkText="TRANS_TODO_BEGIN_CERT_REQUEST"
										noSpace="1"
										}<br />
							{elseif  $statusID == ("none"|get_status_id:"package")}
								{include file="$tplDirectory/widgets/actionLink.tpl"
										page="certs.php"
										actionName="ShowCertDetails"
										args="packageID=`$packages[i].packageID`"
										icoImage="view"
										icoWidth=""
										icoHeight=""
										icoStyle=""
										altText="TRANS_MANAGE_CERT"
										titleText="TRANS_MANAGE_CERT"
										linkText="TRANS_MANAGE_CERT"
										noSpace="1"
										}<br />
							{/if}
						{/if}
						{if $packages[i].packagePendingCancellation==0 && $upgradeDowngradeStatuses.$statusID==1}
							{*if $packages[i].rules.addons==1}
        							{include file="$tplDirectory/widgets/actionLink.tpl"
									    page="packages.php"
									    actionName="EditPackageAddons"
									    args="packageID=`$packages[i].packageID`"
									    icoImage="addons"
									    icoWidth=""
									    icoHeight=""
									    icoStyle=""
									    altText="TRANS_CONFIGURE"
									    titleText="TRANS_CONFIGURE"
									    linkText="TRANS_CONFIGURE"
									    noSpace="1"
									}<br />
							{/if*}
							{if $packages[i].rules.upgrade==1 && $packages[i].canUpgrade}
        							{include file="$tplDirectory/widgets/actionLink.tpl"
									    page="packages.php"
									    actionName="UpgradePackage"
									    args="packageID=`$packages[i].packageID`"
									    icoImage="upgrade"
									    icoWidth=""
									    icoHeight=""
									    icoStyle=""
									    altText="TRANS_UPGRADE"
									    titleText="TRANS_UPGRADE"
									    linkText="TRANS_UPGRADE"
									    noSpace="1"
									}<br />
							{/if}
							{if $packages[i].rules.downgrade==1 && $packages[i].canDowngrade}
        							{include file="$tplDirectory/widgets/actionLink.tpl"
									    page="packages.php"
									    actionName="DowngradePackage"
									    args="packageID=`$packages[i].packageID`"
									    icoImage="downgrade"
									    icoWidth=""
									    icoHeight=""
									    icoStyle=""
									    altText="TRANS_DOWNGRADE"
									    titleText="TRANS_DOWNGRADE"
									    linkText="TRANS_DOWNGRADE"
									    noSpace="1"
									}<br />
							{/if}
						{/if}
						{if $packages[i].canCancelUpgrade}
								{include file="$tplDirectory/widgets/actionLink.tpl"
									page="packages.php"
									actionName="CancelPackage"
									args="packageID=`$packages[i].packageID`"
									icoImage="cancel"
									icoWidth=""
									icoHeight=""
									icoStyle=""
									altText="TRANS_SUBSCRIPTION_OPERATION_CANCEL_UPGRADE_DOWNGRADE"
									titleText="TRANS_SUBSCRIPTION_OPERATION_CANCEL_UPGRADE_DOWNGRADE"
									linkText="TRANS_SUBSCRIPTION_OPERATION_CANCEL_UPGRADE_DOWNGRADE"
									noSpace="1"
								}<br />
						{/if}
						{if $packages[i].packageStatus == 0 || $packages[i].packageStatus==13}
							<br />
							{assign var="panelFiles" value=$packages[i].panelTemplates}
							{foreach item="tmpl" key="serverGroupID" from=$panelFiles}
								<h6>{$tmpl.1}</h6>
								{include file=$tmpl.0 serverGroupID=$serverGroupID attributes=$packages[i].keyedAttributes}<br /><br />
							{/foreach}
						{else}
							{"TRANS_PACKAGE_IS_NOT_ACTIVE"|lmsg}
						{/if}
					</td>
				</tr>
					{if $packageUsage[$packageID]}
						{assign var="usage" value=$packageUsage[$packageID]}
							{if $usage.packageUsage != 0}
							<tr align="left">
								<td colspan="8">
									<div style="margin: 0px; padding: 0px;">
										{if $usage.packageUsageInUnits > $usage.packageUsageLimit}
											<div style="padding: 4px; color: red; font-weight: bold;">{"TRANS_USAGE"|lmsg} <strong>{$usage.packageUsageInUnits|getAmount:" "}</strong> of <strong>{$usage.packageUsageLimit|getAmount:" "}</strong> {$usage.packageUsageUnit}</div>
											{include file="$tplDirectory/widgets/progressBar.tpl"
												containerWidth="400"
												containerColor="red"
												leftPercentage="TRANS_OVER_THE_LIMIT"|lmsg
												barWidth=$usage.packageUsageLimit*400/$usage.packageUsageInUnits}
										{else}
											<div style="padding: 4px;">{"TRANS_USAGE"|lmsg} <strong>{$usage.packageUsageInUnits|getAmount:" "}</strong> of <strong>{$usage.packageUsageLimit|getAmount:" "}</strong> {$usage.packageUsageUnit}</div>
											{include file="$tplDirectory/widgets/progressBar.tpl"
											       containerWidth="400"
											       containerColor="#CCCCCC"
											       barWidth=$usage.packageUsageInUnits*400/$usage.packageUsageLimit}
										{/if}
									</div>
								</td>
							</tr>
							{/if}
					{/if}
				{/section}

			</table>

		</fieldset>
		<br />

	{/foreach}

{/if}


{include file="$tplDirectory/footer.tpl"}
