<div id="main" class="">

	<div class="p-store-order">

		<?php include_partial('navigationBar', array('router' => $router)); ?>

		<div class="p-box">
			<div class="p-box-tl"><div class="p-box-tr"><div class="p-box-tc"><!----></div></div></div>

			<div class="p-box-ml"><div class="p-box-mr"><div class="p-box-mc">
				<?php if (isset($parentPlan)): ?>
				<div class="p-box-infobar">
					<ul class="p-box-infobar-list">
						<li class="p-box-infobar-item i-purchased-products"><?php echo __('TRANS_SELECTED_PLAN'); ?>: <b><?php echo $parentPlan->productName; ?></b></li>
						<?php foreach ($parentDomains as $name => $type): ?>
						<li class="p-box-infobar-item i-domain"><?php echo __($type == BillingDomainPlan::PURCHASE_TYPE_REGISTER ? 'TRANS_DOMAIN_TO_BE_REGISTERED' : ($type == BillingDomainPlan::PURCHASE_TYPE_TRANSFER ? 'TRANS_DOMAIN_TO_BE_TRANSFERED' : 'TRANS_USE_EXISTING_DOMAIN')); ?>: <b><?php echo $name; ?></b></li>
						<?php endforeach; ?>
					</ul>
				</div>
				<?php endif; ?>
				<div class="p-box-title p-box-title-1">
					<div class="p-box-title-area">
						<h1><span><?php echo $title; ?></span></h1>
                        <?php if (isset($subTitle)): ?>
                            <span><strong><?php echo $subTitle; ?></strong></span>
                        <?php endif; ?>
					</div>
				</div>
				<div class="p-box-content">
					<?php if (isset($description)): ?>
						<div class="b-description"><p><?php echo __($description); ?></p></div>
					<?php endif; ?>
					<form id="orderDetails" action="<?php echo url_for('@order-details'); ?>" method="post">
						<?php if (isset($form)): ?>
						<?php include_partial('orderDetailsForm', array('form' => $form)); ?>
						<?php else: ?>
						<input type="hidden" name="operation" value="skip"/>
						<?php endif; ?>
						<?php if(isset($purchaseId)) : ?>
						<input type="hidden" name="purchaseId" value="<?php echo $purchaseId; ?>"/>
						<?php endif; ?>
					</form>
				</div>
			</div></div></div>

			<div class="p-box-bl"><div class="p-box-br"><div class="p-box-bc"><!----></div></div></div>
		</div>


		<div class="p-store-actions">
			<div class="p-store-actions-area">
				<?php include_partial('backAction', array('router' => $router)); ?>
				<a class="btn btn-action" href="#" onclick="$('#orderDetails').submit(); return false;"><span><i><?php echo __('TRANS_NEXT'); ?></i></span></a>
			</div>
		</div>

	</div> <!--/p-store-order-->

</div> <!--/#main-->
