<?php
require_once ("lib-action/action.php");

class AddGeneralJournalEntry extends MB_Action
{
    public function execute()
    {
        global $CONF;
        parent::execute();

        $this->smartyVars = array("currencyID"=>$CONF["user"]["locale"]->currency);
        $this->smartyVars["generalDateCreatedYear"] = date("Y");
        $this->smartyVars["generalDateCreatedMonth"] = date("m");
        $this->smartyVars["generalDateCreatedDate"] = date("d");
        $this->addLedgerAccounts();
        $this->addTemplate("accounting/AddGeneralJournalEntry", $this->smartyVars);
        $this->addErrorTemplates();
        return $this->hasExecutedSuccessfully();
    }
}