<?php

require_once("lib-action/action.php");
require_once("lib-mbapi/mbapi.php");

class RemoveServerGroupResponse extends MB_Action
{
	public $params = array("serverGroupID");

	public function execute()
	{
		parent::execute();

		$serverGroupID = ((int) $_REQUEST["serverGroupID"]);
		if(!$serverGroupID) {
			$this->addError(TRANS_ACTIONERROR, "No ServerGroup ID given.");
		} else {
			if (!getCurrentSession()->isValidToken()) {
				billing_put_error(blmsg("TRANS_ERROR_TOKEN"));
				redirect("servergroups.php", "RemoveServerGroup", array("serverGroupID" => $serverGroupID));
			}
			$query = $this->getMBAPIQuery("SetServerGroups", "delete");
			$data = dispatchMBAPI($query, 1);
			if ($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				redirect("servergroups.php", getActionID("ShowServerGroups"));
			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}