<?php
require_once ("lib-action/action.php");

class RemoveTodoResponse extends MB_Action
{
	public $params = array("todoID");

	public function execute()
    {
		parent::execute();
		$todoID = bgpc("todoID");
        $vendorId = getCurrentSession()->getVendorId();
        $todo = Factory()->TodoList(array('todo_id' => $todoID, 'vendor_id' => $vendorId));
        if (empty($todo[0])) {
            $this->addError(TRANS_ACTIONERROR, "Todo not found.");
        } else {
            $todo = $todo[0];
            $todo->delete();
            redirect("todos.php", getActionID("ShowAllTodos"));
        }

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}